# $Revision: 1.13 $, $Date: 2010/12/27 12:42:33 $
Summary:	xmlindent - XML stream reformatter
Summary(pl.UTF-8):	xmlindent - reformater strumieni XML
Name:		xmlindent
Version:	0.2.17
Release:	3
License:	GPL v2
Group:		Applications/Publishing/XML
Source0:	http://downloads.sourceforge.net/xmlindent/%{name}-%{version}.tar.gz
# Source0-md5:	c08be3867ee906ca69b949d55a4f3780
Source1:	%{name}.pl.1
URL:		http://xmlindent.sourceforge.net/
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-Makefile.patch
BuildRequires:	flex
BuildRequires:	m4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xmlindent is a XML stream reformatter written in ANSI C.

%description -l pl.UTF-8
xmlindent jest programem napisanym w ANSI C przeformatowującym
strumienie XML.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/pl/man1
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/xmlindent.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS ChangeLog README
%attr(755,root,root) %{_bindir}/xmlindent
%{_mandir}/man1/xmlindent.1*
%lang(pl) %{_mandir}/pl/man1/xmlindent.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmlindent.spec,v $
Revision 1.13  2010/12/27 12:42:33  glen
- ldflags, verbose files; rel 3

Revision 1.12  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.10  2006/05/13 20:36:52  darekr
- added -Makefile patch (pass CC,CFLAGS)

Revision 1.9  2005/03/11 23:22:53  charles
- BR: m4

Revision 1.8  2005/02/18 18:54:21  adamg
- cosmetics

Revision 1.7  2005/02/18 18:51:01  megabajt
- removed source0-md5

Revision 1.6  2005/02/18 14:03:02  charles
- Summary(pl) "polished"

Revision 1.5  2005/02/18 13:42:58  megabajt
- added polish man page
- release 2

Revision 1.4  2005/02/15 18:08:29  darekr
- use %{__make} install; from Marcin Banasiak

Revision 1.3  2005/02/15 08:51:07  darekr
- BR: flex

Revision 1.2  2005/02/15 08:07:31  paladine
- proper license

Revision 1.1  2005/02/15 07:44:26  jm
- new spec by Marcin Banasiak
